package com.yihu.figure.dao.disease;

import com.yihu.figure.model.disease.Inspection;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by chenweida on 2017/3/6.
 */
public interface InspectionDao extends PagingAndSortingRepository<Inspection, Long>, JpaSpecificationExecutor<Inspection> {
    @Query(" from Inspection i where i.patientCode=?1 ")
    List<Inspection> findByPatientCode(String patientCode);
}
