/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.wlyy.repository.address;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.yihu.wlyy.entity.address.Province;

public interface ProvinceDao extends PagingAndSortingRepository<Province, Long> {
	// 根據CODE查詢省名稱
	@Query("select p from Province p where p.code = ?1")
	Province findByCode(String code);
}
