package com.yihu.wlyy.service.app.prescription;

import com.yihu.wlyy.entity.patient.prescription.PrescriptionLog;
import com.yihu.wlyy.entity.patient.prescription.PrescriptionPay;
import com.yihu.wlyy.repository.prescription.PrescriptionLogDao;
import com.yihu.wlyy.repository.prescription.PrescriptionPayDao;
import com.yihu.wlyy.service.BaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by chenweida on 2017/7/27.
 * 处方支付相关
 */
@Service
public class PrescriptionPayService extends BaseService {
    @Autowired
    private PrescriptionPayDao prescriptionPayDao;
    /**
     *  获取处方支付信息
     * @param prescriptionCode 处方code
     * @return
     */
    public PrescriptionPay findByPrescriptionCode(String prescriptionCode) {
        return prescriptionPayDao.findByPrescriptionPay(prescriptionCode);
    }
}
